Subject: Re: [Patch] (revised) net/xfrm/xfrm_policy.c: replace timer with delayed_work

From: WANG Cong <[email-masked]>
Date: Sat, 3 May 2008 22:46:49 +0800

On Fri, May 02, 2008 at 04:54:55PM -0700, David Miller wrote:
>From: WANG Cong <[email-masked]>
>Date: Fri, 2 May 2008 13:35:55 +0800 (CST)
>
>> 
>> As suggested by Herbert Xu, using workqueue is better than timer
>> for net/xfrm/xfrm_policy.c, so replace them with delayed_work.
>> And due to this change, we have to disable BH when trying to
>> lock.
>> 
>> Note that, this patch is not fully tested, so should be
>> in -mm first.
>> 
>> Signed-off-by: WANG Cong <[email-masked]>
>
>Please let me know when these two patches have gotten some
>good testing.

Thanks for your comments, David!

I thought it can go into -mm so that many other people can help
me to test it. Since I didn't have the IPSec environment. ;(

I will try if I can set up one, then test it.

Thanks.